{"components":{"schemas":{"BadRequest":{"description":"Returned when something is wrong in the request, e.g. too many entities are requested or arguments are missing","properties":{"error":{"default":"BadRequest","type":"string"},"message":{"default":"Required arguments are missing in the request","type":"string"}},"type":"object"},"NotFound":{"description":"Requested resource could not be found","properties":{"error":{"default":"NotFound","type":"string"},"message":{"default":"Requested resource could not be found","type":"string"}},"type":"object"},"PersonCreditDecisionResult":{"description":"Roaring Apps company credit decision","properties":{"address":{"type":"string"},"coAddress":{"type":"string"},"firstName":{"type":"string"},"givenName":{"type":"string"},"lastName":{"type":"string"},"personalNumber":{"description":"Person identifier","type":"string"},"registeredAddress":{"type":"string"},"rejections":{"$ref":"#/components/schemas/PersonRejection"},"statusCode":{"description":"Credit decision outcome. Can return 1, 2 or 4, which corresponds to Approved, Not Approved and Trial.","enum":["1","2","4"],"type":"string"},"statusText":{"description":"Status text of code.","enum":["Approved","Not Approved","Trial"],"type":"string"},"town":{"type":"string"},"zipCode":{"type":"string"}},"type":"object"},"PersonRejection":{"description":"Credit decision rejection","properties":{"causeOfReject":{"description":"An error code or rejection code depending on what is being checked.","type":"string"},"rejectComment":{"description":"Possible further information regarding the rejection if available.","type":"string"},"rejectText":{"description":"Description in text of the error / rejection.","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"Automated credit decisions if the person is to be granted a loan, credit or invoice.\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Credit Decision Person","version":"1.0","x-logo":{"url":"https://assets.roaring.io/svg/credit-decision-v3.1.svg"}},"openapi":"3.0.1","paths":{"/{personalNumber}":{"get":{"parameters":[{"description":"Identification of person","in":"path","name":"personalNumber","required":true,"schema":{"type":"string"}},{"description":"Credit decision template","in":"query","name":"template","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonCreditDecisionResult"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. too many entities are requested or arguments are missing"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Check credit decision of person"}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/se/person/credit-decision/1.0"}],"x-category":"person","x-countries":["se"],"x-id":"PersonCreditDecisionSe"}